Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(374)

Issue 136890043: Create InternalHeap. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 8 months ago by chrisha
Modified:
6 years, 8 months ago
CC:
sawbuck-changes_googlegroups.com
Base URL:
http://sawbuck.googlecode.com/svn/trunk
Visibility:
Public.

Description

Create InternalHeap. This is a heap wrapper that takes any HeapInterface and a MemoryNotificationInterface, and makes the heap notify all allocations as being for internal use. BUG= R=sebmarchand@chromium.org Committed: https://code.google.com/p/sawbuck/source/detail?r=2278

Patch Set 1 #

Total comments: 4

Patch Set 2 : Addressed seb's nits. #

Patch Set 3 : Small bugfix. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+284 lines, -0 lines) Patch
M syzygy/agent/asan/asan.gyp View 2 chunks +3 lines, -0 lines 0 comments Download
A syzygy/agent/asan/heaps/internal_heap.h View 1 1 chunk +78 lines, -0 lines 0 comments Download
A syzygy/agent/asan/heaps/internal_heap.cc View 1 2 1 chunk +102 lines, -0 lines 0 comments Download
A syzygy/agent/asan/heaps/internal_heap_unittest.cc View 1 chunk +101 lines, -0 lines 0 comments Download

Messages

Total messages: 4
chrisha
PTAL?
6 years, 8 months ago (2014-08-27 19:59:49 UTC) #1
Sébastien Marchand
lgtm. https://codereview.appspot.com/136890043/diff/1/syzygy/agent/asan/heaps/internal_heap.cc File syzygy/agent/asan/heaps/internal_heap.cc (right): https://codereview.appspot.com/136890043/diff/1/syzygy/agent/asan/heaps/internal_heap.cc#newcode25 syzygy/agent/asan/heaps/internal_heap.cc:25: : memory_notifier_(memory_notifier), heap_(heap), notifying_heap_(false) { you're initializing notifying_heap_ ...
6 years, 8 months ago (2014-08-27 21:07:29 UTC) #2
chrisha
Thanks, committing. https://codereview.appspot.com/136890043/diff/1/syzygy/agent/asan/heaps/internal_heap.cc File syzygy/agent/asan/heaps/internal_heap.cc (right): https://codereview.appspot.com/136890043/diff/1/syzygy/agent/asan/heaps/internal_heap.cc#newcode25 syzygy/agent/asan/heaps/internal_heap.cc:25: : memory_notifier_(memory_notifier), heap_(heap), notifying_heap_(false) { On 2014/08/27 ...
6 years, 8 months ago (2014-08-28 18:43:38 UTC) #3
chrisha
6 years, 8 months ago (2014-08-28 18:44:21 UTC) #4
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as 2278 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b